Subject: bug#77169: [PATCH] New Eldoc function `help-at-pt-eldoc-function'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Mar 2025 14:46:26 +0200

> From: Daniel Mendler <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 22 Mar 2025 12:29:13 +0100
> 
> > Thanks, but please also reflect this feature in the doc string of
> > help-at-pt-display-when-idle and in the Emacs user manual (where that
> > option is described).
> 
> The question is if `help-at-pt-display-when-idle' should be marked
> obsolete in favor of the Eldoc mechanism to avoid conflicts. Eldoc is
> even preloaded these days, so the de-facto standard for documentation at
> point.

Users can still disable ElDoc, and if they do, perhaps they would like
to have help-at-pt-display-when-idle.

We could start the process of obsoleting help-at-pt-display-when-idle,
if we think it should be superseded by ElDoc, but that process takes
time, and in the meantime we should assume people are still using
help-at-pt-display-when-idle and need to be aware of the replacement,
and vice versa.

> > Also, shouldn't we have a user option to turn this on in ElDoc?
> 
> Not sure if we need an option given that it is easy to add the function
> to the list, or remove it, if the function is enabled by default.

It might be easy fore you and me, but not for users who are not Lisp
programmers.

Thanks.